cURL
curl --request POST \
--url https://app.example.com/v1/admin/action-ledger/entries/<id>/reversals \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"reason": "operator_error"
}'const response = await fetch("https://app.example.com/v1/admin/action-ledger/entries/<id>/reversals", {
method: "POST",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer <token>"
},
body: JSON.stringify({
"reason": "operator_error"
}),
});
const data = await response.json();import requests
response = requests.post(
"https://app.example.com/v1/admin/action-ledger/entries/<id>/reversals",
headers={
"Authorization": "Bearer <token>"
},
json={
"reason": "operator_error"
}
)
data = response.json()
{
"data": {
"id": "ale_01J9",
"action": "booking.cancel",
"subjectType": "booking",
"subjectId": "01J9ZB...",
"actorId": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>",
"details": {}
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>",
"details": {}
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>",
"details": {}
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>",
"details": {}
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>",
"details": {}
}Action ledger
Record a reversal
Records a compensating reversal entry against an existing action-ledger entry.
POST
/
v1
/
admin
/
action-ledger
/
entries
/
{id}
/
reversals
cURL
⌘I